import request from '@/utils/request'

// 查询系统发票列表
export function listBill(query) {
  return request({
    url: '/buyer/bill/list',
    method: 'get',
    params: query
  })
}

// 查询系统发票详细
export function getBill(id) {
  return request({
    url: '/buyer/bill/' + id,
    method: 'get'
  })
}

// 新增系统发票
export function addBill(data) {
  return request({
    url: '/buyer/bill',
    method: 'post',
    data: data
  })
}

// 修改系统发票
export function updateBill(data) {
  return request({
    url: '/buyer/bill',
    method: 'put',
    data: data
  })
}

// 删除系统发票
export function delBill(id) {
  return request({
    url: '/buyer/bill/' + id,
    method: 'delete'
  })
}
